classification
Title: Add an example to importlib docs on setting up an importer
Type: Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, cvrebert, dstufft, eric.fahlgren, ethan.furman, hodgestar, maciej.szulik, matejcik, pitrou, python-dev
Priority: low Keywords:

Created on 2016-01-31 17:56 by brett.cannon, last changed 2016-03-18 18:55 by brett.cannon. This issue is now closed.

Messages (3)
msg259295 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-01-31 17:56
This past week a lot of people have asked me about how to set up an importer. It's enough to warrant adding an example in the new Examples section of the importlib docs to explain how to do this using the pre-existing classes in importlib.machinery for illustrative  purposes.
msg261985 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-18 18:54
New changeset dc24ab548e2b by Brett Cannon in branch 'default':
Issue #26252: Add an example on how to register a finder
https://hg.python.org/cpython/rev/dc24ab548e2b
msg261986 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-03-18 18:55
I added an example on how to register both a meta path and path entry finder. It's a rather simple example, but hopefully using the classes that importlib uses will help also point people towards the appropriate classes to learn about for their own needs.
History
Date User Action Args
2016-03-18 18:55:46brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg261986

stage: needs patch -> resolved
2016-03-18 18:54:29python-devsetnosy: + python-dev
messages: + msg261985
2016-02-27 10:35:39anish.shahsetnosy: - anish.shah
2016-02-04 11:27:34maciej.szuliksetnosy: + maciej.szulik
2016-02-04 07:38:09anish.shahsetnosy: + anish.shah
2016-02-03 20:39:54hodgestarsetnosy: + hodgestar
2016-02-01 17:23:20matejciksetnosy: + matejcik
2016-02-01 01:17:53eric.fahlgrensetnosy: + eric.fahlgren
2016-01-31 20:42:29cvrebertsetnosy: + cvrebert
2016-01-31 20:37:47ethan.furmansetnosy: + ethan.furman
2016-01-31 18:00:42pitrousetnosy: + pitrou
2016-01-31 17:57:08dstufftsetnosy: + dstufft
2016-01-31 17:56:13brett.cannoncreate